form_concat_value< T, M >

## Public Types

enum | variant_type { scalar, field, field_transpose, vector_field, vector_field_transpose, form }
typedef csr_concat_value< T, M >::size_type | size_type
typedef csr_concat_value< T, M >::sizes_type | sizes_type
typedef csr_concat_value< T, M >::sizes_pair_type | sizes_pair_type
typedef field_expr_v2_nonlinear_node_unary< trans_,field_expr_v2_nonlinear_terminal_field< T, M, differentiate_option::none > > | trans_field_type

## Public Member Functions

template<class U , class Sfinae = typename std::enable_if< is_rheolef_arithmetic<U>::value ,void >::type>
| form_concat_value (const U &x)
| form_concat_value (const field_basic< T, M > &x)
| form_concat_value (const trans_field_type &x)
| form_concat_value (const std::vector< field_basic< T, M >> &x)
| form_concat_value (const vector_field_trans< T, M > &x)
| form_concat_value (const form_basic< T, M > &x)

## Public Attributes

T | s
field_basic< T, M > | v
std::vector< field_basic< T, M > > | vv
form_basic< T, M > | m
variant_type | variant

## Static Public Attributes

static constexpr size_type | undef = std::numeric_limits<size_type>::max()
static constexpr size_type | zero = 0

## Detailed Description

### template<class T, class M>
class rheolef::details::form_concat_value< T, M >

Definition at line 134 of file form.h.

## Member Typedef Documentation

## size_type

typedef csr_concat_value<T,M>::size_type size_type

Definition at line 60 of file form_concat.h.

## sizes_type

typedef csr_concat_value<T,M>::sizes_type sizes_type

Definition at line 61 of file form_concat.h.

## sizes_pair_type

typedef csr_concat_value<T,M>::sizes_pair_type sizes_pair_type

Definition at line 62 of file form_concat.h.

## trans_field_type

typedef field_expr_v2_nonlinear_node_unary< trans_ ,field_expr_v2_nonlinear_terminal_field<T, M, differentiate_option::none> > trans_field_type

Definition at line 80 of file form_concat.h.

## Member Enumeration Documentation

## variant_type

enum variant_type

Enumerator
scalar |
field |
field_transpose |
vector_field |
vector_field_transpose |
form |

Definition at line 67 of file form_concat.h.

## Constructor & Destructor Documentation

## form_concat_value() [1/6]

form_concat_value | ( | const U & | x | ) |

Definition at line 91 of file form_concat.h.

## form_concat_value() [2/6]

form_concat_value | ( | const field_basic< T, M > & | x | ) |

Definition at line 92 of file form_concat.h.

## form_concat_value() [3/6]

form_concat_value | ( | const trans_field_type & | x | ) |

Definition at line 93 of file form_concat.h.

## form_concat_value() [4/6]

form_concat_value | ( | const std::vector< field_basic< T, M >> & | x | ) |

Definition at line 94 of file form_concat.h.

## form_concat_value() [5/6]

form_concat_value | ( | const vector_field_trans< T, M > & | x | ) |

Definition at line 95 of file form_concat.h.

## form_concat_value() [6/6]

form_concat_value | ( | const form_basic< T, M > & | x | ) |

Definition at line 96 of file form_concat.h.

## Member Data Documentation

## undef

constexpr size_type undef = std::numeric_limits<size_type>::max()

static constexpr

Definition at line 64 of file form_concat.h.

## zero

constexpr size_type zero = 0

static constexpr

Definition at line 65 of file form_concat.h.

## s

T s

Definition at line 109 of file form_concat.h.

## v

field_basic<T,M> v

Definition at line 110 of file form_concat.h.

## vv

std::vector<field_basic<T,M> > vv

Definition at line 111 of file form_concat.h.

## m

form_basic<T,M> m

Definition at line 112 of file form_concat.h.

## variant

variant_type variant

Definition at line 113 of file form_concat.h.

The documentation for this class was generated from the following files:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/form.h
- /build/rheolef-bzr82u/rheolef-7.1/main/lib/form_concat.h